apiVersion: apps/v1
kind: Deployment
metadata:
  name: forgejo-redis
  namespace: cicd
spec:
  replicas: 1
  selector:
    matchLabels:
      app: forgejo-redis
  template:
    metadata:
      labels:
        app: forgejo-redis
    spec:
      containers:
        - name: redis
          image: redis:7-alpine
          ports:
            - containerPort: 6379
          resources:
            requests:
              cpu: 10m
              memory: 32Mi
            limits:
              cpu: 100m
              memory: 128Mi
---
apiVersion: v1
kind: Service
metadata:
  name: forgejo-redis
  namespace: cicd
spec:
  selector:
    app: forgejo-redis
  ports:
    - port: 6379
      targetPort: 6379
